Bug 1690681 (CVE-2019-9796)

Summary: CVE-2019-9796 Mozilla: Use-after-free with SMIL animation controller
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:51:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1688866, 1688867, 1688868, 1690494, 1690495, 1690496, 1690692, 1703888, 1703893, 1703894    
Bug Blocks: 1688735, 1690493    

Description Doran Moppert 2019-03-20 02:14:51 UTC
A use-after-free vulnerability can occur when the SMIL animation controller incorrectly registers with the refresh driver twice when only a single registration is expected. When a registration is later freed with the removal of the animation controller element, the refresh driver incorrectly leaves a dangling pointer to the driver's observer array.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-08/#CVE-2019-9796

Comment 1 Doran Moppert 2019-03-20 02:14:54 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 3 errata-xmlrpc 2019-03-20 15:12:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0622 https://access.redhat.com/errata/RHSA-2019:0622

Comment 4 errata-xmlrpc 2019-03-20 15:21:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0623 https://access.redhat.com/errata/RHSA-2019:0623

Comment 5 errata-xmlrpc 2019-03-28 14:48:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0680 https://access.redhat.com/errata/RHSA-2019:0680

Comment 6 errata-xmlrpc 2019-03-28 14:49:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0681 https://access.redhat.com/errata/RHSA-2019:0681

Comment 8 errata-xmlrpc 2019-05-07 04:18:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0966 https://access.redhat.com/errata/RHSA-2019:0966

Comment 9 errata-xmlrpc 2019-05-13 05:03:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1144 https://access.redhat.com/errata/RHSA-2019:1144